edu.isi.pegasus.planner.refiner.cleanup

## Interface CleanupStrategy

All Known Implementing Classes:
  InPlace

    public interface CleanupStrategy

The interface that defines how the cleanup job is invoked and created.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API Cleanup CleanupStrategy.

### Method Summary

All Methods Instance Methods Abstract Methods
`Graph` `addCleanupJobs(Graph workflow)` Adds cleanup jobs to the workflow.
`void` `initialize(PegasusBag bag, CleanupImplementation impl)` Intializes the class.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API Cleanup CleanupStrategy.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag,
                    CleanupImplementation impl)

Intializes the class.

Parameters:
  `bag` - bag of initialization objects
  `impl` - the implementation instance that creates file cleanup job

#### addCleanupJobs

    Graph addCleanupJobs(Graph workflow)

Adds cleanup jobs to the workflow.

Parameters:
  `workflow` - the workflow to add cleanup jobs to.
Returns:
  the workflow with cleanup jobs added to it.